# norootforbuild

Name:            cronolog
Version:         1.7.0
%define realver  1.7.0-beta
Release:         10.13
Summary:         Web log rotation program for Apache

Group:           Applications/System
License:         GPL
URL:             http://cronolog.org/
Source0:         http://cronolog.org/download/%{name}-%{realver}.tar.gz
Patch0:          cronolog-1.7.0-strncat-compilefix.patch
BuildRoot:       %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
PreReq:          %{install_info_prereq}
%endif

%description
cronolog is a simple filter program that reads log file entries from
standard input and writes each entry to the output file specified
by a filename template and the current date and time. When the
expanded filename changes, the current file is closed and a new one
opened. cronolog is intended to be used in conjunction with a Web server,
such as Apache, to split the access log into daily or monthly logs.

%prep
%setup -q
%patch0 -p1

%build
%configure
make 

%install
make install DESTDIR=%{buildroot}
sed -i 's|/www/sbin|/usr/sbin|g' %{buildroot}/%{_mandir}/man1/*
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/%{_sbindir}/cronosplit %{buildroot}/%{_bindir}
rm -f %{buildroot}%{_infodir}/dir

%if 0%{?suse_version}
%post
#/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
%install_info --info-dir=%{_infodir} %{_infodir}/cronolog.info.gz
%endif

%if 0%{?suse_version}
%preun
#if [ $1 = 0 ]; then
#   /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
#fi
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cronolog.info.gz
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*

%changelog
* Fri Jun 19 2009 poeml@suse.de
- increase the release counter, so that the package is updated on
  machines that had it already before its move from home:poeml to
  server:http in the openSUSE buildservice.
* Thu Mar  5 2009 poeml@suse.de
- add cronolog-1.7.0-strncat-compilefix.patch, which fixes a
  compiler warning about strncat usage with possible buffer
  overflow (when parsing commandline arguments)
* Thu Mar 15 2007 poeml@suse.de
- update to 1.7.0-beta
* Fri Mar  9 2007 poeml@suse.de
- initial package, 1.6.2, copied from fedora-core-extras 6
